Skip to main content
POST
Create a sequence step

Authorizations

Authorization
string
header
required

Authenticate every request with a Bearer token. Pass your Reply API key in the Authorization header:

Get your API key from the Reply dashboard: Settings → API Key.

Path Parameters

id
integer
required

Sequence Id

Body

application/json

Email step with variant configuration

type
enum<string>
required

Step type discriminator

Available options:
email
executionMode
enum<string>
required

Execution mode for the email step

Available options:
automatic,
manual
variants
Email Variant · object[]
required

Array of email variants (A/B test versions)

parentId
integer | null

ID of the parent step (for branching)

ifConditionPositive
boolean | null

Whether this step is on the positive branch of a condition

delayInMinutes
integer

Delay in minutes before executing this step. Defaults to 0 when omitted on create; when omitted on update, the current value is kept.

Required range: x >= 0

Response

Sequence step created successfully

Email step with variant configuration

type
enum<string>
required

Step type discriminator

Available options:
email
executionMode
enum<string>
required

Execution mode for the email step

Available options:
automatic,
manual
variants
Email Variant · object[]
required

Array of email variants (A/B test versions)

id
integer | null
read-only

Unique identifier for the step

parentId
integer | null

ID of the parent step (for branching)

ifConditionPositive
boolean | null

Whether this step is on the positive branch of a condition

delayInMinutes
integer

Delay in minutes before executing this step. Defaults to 0 when omitted on create; when omitted on update, the current value is kept.

Required range: x >= 0